Name:           python-virtualenv
Version:        20.0.23
Release:        3
Summary:        A tool to create isolated Python environments
License:        MIT
URL:            http://pypi.python.org/pypi/virtualenv
Source0:        https://files.pythonhosted.org/packages/a5/fb/b95b0ce5160296aa3b220574a5fc13f53250a4f6770c126ae968960b95db/virtualenv-20.0.23.tar.gz

BuildArch:      noarch
BuildRequires:  git-core python3-devel python3-sphinx
BuildRequires:  python-pip-wheel python-wheel-wheel python-setuptools >= 41.0.0
BuildRequires:  python3-setuptools_scm

%description
Virtualenv is a tool to create isolated Python environments. Since Python
3.3, a subset of it has been integrated into the standard library under
the venv module. Note though, that the venv module does not offer all
features of this library (e.g. cannot create bootstrap scripts, cannot
create virtual environments for other python versions than the host python,
not relocatable, etc.). Tools in general as such still may prefer using
virtualenv for its ease of upgrading (via pip), unified handling of different
Python versions and some more advanced features.

%package -n     python3-virtualenv
Summary:        Tool to create isolated Python environments
Requires:       python3-setuptools python3-devel python3-virtualenv-python26
%{?python_provide:%python_provide python3-virtualenv}
Conflicts:      python2-virtualenv < 16.0.0-5
Provides:       virtualenv = %{version}-%{release}
Requires:       python-pip-wheel python-setuptools-wheel python-wheel-wheel
Requires:       python3-appdirs python3-distlib python3-filelock python3-importlib_metadata  

%description -n python3-virtualenv
virtualenv support in python3.

%package -n     python3-virtualenv-python26
Summary:        Extra bits of virtuelenv only needed with Python 2.6
Requires:       python3-virtualenv = %{version}-%{release}
%{?python_provide:%python_provide python3-virtualenv-python26}
Provides:       bundled(python2dist(argparse)) = 1.4.0
Provides:       bundled(python2dist(pip)) = 19.1.1
Provides:       bundled(python2dist(pip)) = 20.1.1
Provides:       bundled(python2dist(setuptools)) = 43.0.0
Provides:       bundled(python2dist(setuptools)) = 44.1.0
Provides:       bundled(python2dist(setuptools)) = 46.4.0
Provides:       bundled(python2dist(wheel)) = 0.33.6
Provides:       bundled(python2dist(wheel)) = 0.34.2

%description -n python3-virtualenv-python26
Tools that support for python2.6 virtual environments with python3.

%prep
%autosetup -n virtualenv-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-virtualenv
%license LICENSE
%doc docs/*rst PKG-INFO
%{python3_sitelib}/virtualenv*
%{_bindir}/virtualenv

%files -n python3-virtualenv-python26
%{python3_sitelib}/virtualenv/seed/embed/wheels/*.whl

%changelog
* Wed Apr 28 2021 shixuantong<shixuantong@huawei.com> - 20.0.23-3
- add requires python3-appdirs python3-distlib python3-filelock python3-importlib_metadata

* Wed Nov 18 2020 shixuantong<shixuantong@huawei.com> - 20.0.23-2
- remove python2 subpackage

* Mon Aug 31 2020 pengyeqing <pengyeqing@huawei.com> 20.0.23-1
- Upgrade to version 20.0.23

* Mon Dec 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 16.0.0-6
- Package init
